# Type Alias CompileFn

CompileFn: (
compileNode: string | Element | Node | ChildNode | NodeList,
transcludeFn?: TranscludeFn,
maxPriority?: number,
ignoreDirective?: string,
previousCompileContext?: any,
) => PublicLinkFn

#### Type declaration

- - (
    compileNode: string | Element | Node | ChildNode | NodeList,
    transcludeFn?: TranscludeFn,
    maxPriority?: number,
    ignoreDirective?: string,
    previousCompileContext?: any,
    ): PublicLinkFn

  - #### Parameters

    - compileNode: string | Element | Node | ChildNode | NodeList

      The node to be compiled.

    - `Optional` transcludeFn: TranscludeFn

      An optional transclusion function to be used during compilation.

    - `Optional` maxPriority: number

      An optional maximum priority for directives.

    - `Optional` ignoreDirective: string

      An optional directive to ignore during compilation.

    - `Optional` previousCompileContext: any

      An optional context from a previous compilation. TODO

    #### Returns PublicLinkFn

- Defined in src/core/compile/compile.js:84